INTERFACE
SUBROUTINE RDRSET(CDSL,KSLWIDEN,KSLWIDES,&
 & KASLB1,KSLRPTSUR,KSLSPTSUR,&
 & KSLSTA,KSLONL,KSLOFF,&
 & KDGLG,KDLON,KDGSAG,KDGENG,KDGUXL,KDGUXG,KDGSAL,KDGENL,&
 & KFRSTLOFF,KYFRSTACTLAT,KYLSTACTLAT,&
 & KSTA,KONL,KLOENG,KPTRFRSTLAT,KFRSTLAT,KLSTLAT,&
 & KSLPROCS,KSLRPT,KSLSPT,&
 & KSLSENDPOS,KSLRECVPOS,KSENDPTR,KRECVPTR,KSLCOMM) 
USE PARKIND1 ,ONLY : JPIM, JPRB
USE YOMCT0 , ONLY : NPROC, N_REGIONS, N_REGIONS_NS, N_REGIONS_EW,&
 & LOUTPUT, LMPDIAG, LELAM 
USE YOMGEM , ONLY : NGPTOTG
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KSLWIDEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSLWIDES
INTEGER(KIND=JPIM),INTENT(IN) :: KSLRPTSUR
INTEGER(KIND=JPIM),INTENT(IN) :: KSLSPTSUR
INTEGER(KIND=JPIM),INTENT(IN) :: KDGSAG
INTEGER(KIND=JPIM),INTENT(IN) :: KDGENG
INTEGER(KIND=JPIM),INTENT(IN) :: KDGSAL
INTEGER(KIND=JPIM),INTENT(IN) :: KDGENL
CHARACTER(LEN=2) ,INTENT(IN) :: CDSL
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KSLSTA(KDGSAL-KSLWIDEN:KDGENL+KSLWIDES)
INTEGER(KIND=JPIM),INTENT(IN) :: KSLONL(KDGSAL-KSLWIDEN:KDGENL+KSLWIDES)
INTEGER(KIND=JPIM),INTENT(IN) :: KSLOFF(KDGSAL-KSLWIDEN:KDGENL+KSLWIDES)
INTEGER(KIND=JPIM),INTENT(IN) :: KDGLG
INTEGER(KIND=JPIM),INTENT(IN) :: KDLON
INTEGER(KIND=JPIM),INTENT(IN) :: KDGUXL
INTEGER(KIND=JPIM),INTENT(IN) :: KDGUXG
INTEGER(KIND=JPIM),INTENT(IN) :: KFRSTLOFF
INTEGER(KIND=JPIM),INTENT(IN) :: KYFRSTACTLAT
INTEGER(KIND=JPIM),INTENT(IN) :: KYLSTACTLAT
INTEGER(KIND=JPIM),INTENT(IN) :: KSTA(KDGSAG:KDGENG+N_REGIONS_NS-1,N_REGIONS_EW)
INTEGER(KIND=JPIM),INTENT(IN) :: KONL(KDGSAG:KDGENG+N_REGIONS_NS-1,N_REGIONS_EW)
INTEGER(KIND=JPIM),INTENT(IN) :: KLOENG(KDGSAG:KDGENG)
INTEGER(KIND=JPIM),INTENT(IN) :: KPTRFRSTLAT(N_REGIONS_NS)
INTEGER(KIND=JPIM),INTENT(IN) :: KFRSTLAT(N_REGIONS_NS)
INTEGER(KIND=JPIM),INTENT(IN) :: KLSTLAT(N_REGIONS_NS)
INTEGER(KIND=JPIM),INTENT(OUT) :: KSLPROCS
INTEGER(KIND=JPIM),INTENT(OUT) :: KSLRPT
INTEGER(KIND=JPIM),INTENT(OUT) :: KSLSPT
INTEGER(KIND=JPIM),INTENT(OUT) :: KSLSENDPOS(KSLSPTSUR)
INTEGER(KIND=JPIM),INTENT(OUT) :: KSLRECVPOS(KSLRPTSUR)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSENDPTR(NPROC+1)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KRECVPTR(NPROC+1)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSLCOMM(NPROC)
END SUBROUTINE RDRSET
END INTERFACE
